    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2006, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * ----------------
    028     * WindDataset.java
    029     * ----------------
    030     * (C) Copyright 2001-2006, by Achilleus Mantzios and Contributors.
    031     *
    032     * Original Author:  Achilleus Mantzios;
    033     * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034     *
    035     * $Id: WindDataset.java,v 1.2.2.2 2006/07/12 13:50:48 mungady Exp $
    036     *
    037     * Changes
    038     * -------
    039     * 06-Feb-2002 : Version 1, based on code contributed by Achilleus
    040     *               Mantzios (DG);
    041     *
    042     */
    043
    044    package org.jfree.data.xy;
    045
    046    /**
    047     * Interface for a dataset that supplies wind intensity and direction values
    048     * observed at various points in time.
    049     */
    050    public interface WindDataset extends XYDataset {
    051
    052        /**
    053         * Returns the wind direction (should be in the range 0 to 12,
    054         * corresponding to the positions on an upside-down clock face).
    055         *
    056         * @param series  the series (in the range <code>0</code> to
    057         *     <code>getSeriesCount() - 1</code>).
    058         * @param item  the item (in the range <code>0</code> to
    059         *     <code>getItemCount(series) - 1</code>).
    060         *
    061         * @return The wind direction.
    062         */
    063        public Number getWindDirection(int series, int item);
    064
    065        /**
    066         * Returns the wind force on the Beaufort scale (0 to 12).  See:
    067         * <p>
    068         * http://en.wikipedia.org/wiki/Beaufort_scale
    069         *
    070         * @param series  the series (in the range <code>0</code> to
    071         *     <code>getSeriesCount() - 1</code>).
    072         * @param item  the item (in the range <code>0</code> to
    073         *     <code>getItemCount(series) - 1</code>).
    074         *
    075         * @return The wind force.
    076         */
    077        public Number getWindForce(int series, int item);
    078
    079    }